package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.IndexBanner;

/**
 * 首页轮播Mapper接口
 * 
 * @author elev
 * @date 2022-01-13
 */
public interface IndexBannerMapper {
    /**
     * 查询首页轮播
     * 
     * @param id 首页轮播主键
     * @return 首页轮播
     */
    IndexBanner selectIndexBannerById(Long id);

    /**
     * 查询首页轮播列表
     * 
     * @param indexBanner 首页轮播
     * @return 首页轮播集合
     */
    List<IndexBanner> selectIndexBannerList(IndexBanner indexBanner);

    /**
     * 新增首页轮播
     * 
     * @param indexBanner 首页轮播
     * @return 结果
     */
    int insertIndexBanner(IndexBanner indexBanner);

    /**
     * 修改首页轮播
     * 
     * @param indexBanner 首页轮播
     * @return 结果
     */
    int updateIndexBanner(IndexBanner indexBanner);

    /**
     * 删除首页轮播
     * 
     * @param id 首页轮播主键
     * @return 结果
     */
    int deleteIndexBannerById(Long id);

    /**
     * 批量删除首页轮播
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIndexBannerByIds(Long[] ids);
}
